"""removed-extre-columns-from-relay

Revision ID: 78a135d59af3
Revises: 7e1627a4f639
Create Date: 2023-11-27 10:01:53.792129

"""

import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "78a135d59af3"
down_revision = "7e1627a4f639"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("relay", schema=None) as batch_op:
        batch_op.drop_column("is_exit")
        batch_op.drop_column("version")
        batch_op.drop_column("last_seen")
        batch_op.drop_column("is_up")
        batch_op.drop_column("recommended_version")

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("relay", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column("recommended_version", sa.BOOLEAN(), autoincrement=False, nullable=False)
        )
        batch_op.add_column(sa.Column("is_up", sa.BOOLEAN(), autoincrement=False, nullable=False))
        batch_op.add_column(
            sa.Column("last_seen", postgresql.TIMESTAMP(), autoincrement=False, nullable=False)
        )
        batch_op.add_column(
            sa.Column("version", sa.VARCHAR(length=32), autoincrement=False, nullable=True)
        )
        batch_op.add_column(sa.Column("is_exit", sa.BOOLEAN(), autoincrement=False, nullable=False))

    # ### end Alembic commands ###
